Skip to main content
`Ctrl`+`K`

# STFilterGetDamping

Gets the type of damping used in the polynomial filter.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STFilterGetDamping(ST st,STFilterDamping *damping)

Not Collective

## Input Parameter

- st - the spectral transformation context

## Output Parameter

- damping - the type of damping

## See Also

ST: Spectral Transformation, `STFILTER`, `STFilterSetDamping()`

## Level

advanced

## Location

src/sys/classes/st/impls/filter/filter.c

## Implementations

STFilterGetDamping_Filter() in src/sys/classes/st/impls/filter/filter.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages